# checkov GitLab CI job configuration file
# More info at https://github.com/bridgecrewio/checkov#using-docker

---
checkov:
  stage: lint
  needs: []
  image: docker
  services:
    - docker:dind
  rules:
    - if: $ENABLE_JOBS =~ /^.*checkov.*$/
  script:
    - 'docker run --tty --volume "${PWD}:/workdir"
        --workdir /workdir bridgecrew/checkov --directory /workdir'
